
<!DOCTYPE html>
<html lang="en-us">
<head>

  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="generator" content="Source Themes Academic 3.1.0">
  <meta name="generator" content="Hugo 0.50" />
  <meta name="author" content="Jeremy Jackson">

  
  
  
  
    
  
  <meta name="description" content="Software Engineering and Data Science">

  
  <link rel="alternate" hreflang="en-us" href="https://ackso.net/">

  


  

  

  

  
  
  
  <meta name="theme-color" content="#2962ff">
  

  
  
  
  
    
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha256-eSi1q2PG6J7g7ib17yAaWMcrr5GrtohYChqibrV7PBE=" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/academicons/1.8.6/css/academicons.min.css" integrity="sha256-uFVgMKfistnJAfoCUQigIl+JfUaP47GrRKjf6CTPVmw=" crossorigin="anonymous">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.5.0/css/all.css" integrity="sha384-B4dIYHKNBt8Bc12p+WXckhzcICo0wtJAoU8YZTY5qE0Id1GSseTk6S+L3BlXeVIU" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/fancybox/3.2.5/jquery.fancybox.min.css" integrity="sha256-ygkqlh3CYSUri3LhQxzdcm0n1EQvH2Y+U5S2idbLtxs=" crossorigin="anonymous">

    
    
    
      
    
    
      
      
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/9.12.0/styles/github.min.css" crossorigin="anonymous">
      
    

    

    

  

  
  
  <link rel="stylesheet" href="//fonts.googleapis.com/css?family=Montserrat:400,700|Roboto:400,400italic,700|Roboto+Mono">
  

  <link rel="stylesheet" href="/styles.css">
  

  
  
  

  
  <link rel="alternate" href="https://ackso.net/index.xml" type="application/rss+xml" title="Sometimes Jeremy Thinks">
  <link rel="feed" href="https://ackso.net/index.xml" type="application/rss+xml" title="Sometimes Jeremy Thinks">
  

  <link rel="manifest" href="/site.webmanifest">
  <link rel="icon" type="image/png" href="/img/icon.png">
  <link rel="apple-touch-icon" type="image/png" href="/img/icon-192.png">

  <link rel="canonical" href="https://ackso.net/">

  <meta property="twitter:card" content="summary_large_image">
  
  <meta property="og:site_name" content="Sometimes Jeremy Thinks">
  <meta property="og:url" content="https://ackso.net/">
  <meta property="og:title" content="Sometimes Jeremy Thinks">
  <meta property="og:description" content="Software Engineering and Data Science">
  
  
    
  <meta property="og:image" content="https://ackso.net/img/icon-192.png">
  <meta property="og:locale" content="en-us">
  
  <meta property="og:updated_time" content="2017-10-15T00:00:00-06:00">
  

  

  

  <title>Sometimes Jeremy Thinks</title>

</head>
<body id="top" data-spy="scroll" data-target="#navbar-main" data-offset="71" >

<nav class="navbar navbar-light fixed-top navbar-expand-lg py-0" id="navbar-main">
  <div class="container">

    
      <a class="navbar-brand" href="/">Sometimes Jeremy Thinks</a>
      
      <button type="button" class="navbar-toggler" data-toggle="collapse"
              data-target="#navbar" aria-controls="navbar" aria-expanded="false" aria-label="Toggle navigation">
        <span><i class="fas fa-bars"></i></span>
      </button>
      

    
    <div class="collapse navbar-collapse" id="navbar">

      
      
      <ul class="navbar-nav ml-auto">
        

        

        
        
        
          
        

        <li class="nav-item">
          <a class="nav-link" href="/#about" data-target="#about">
            
            <span>Home</span>
            
          </a>
        </li>

        
        

        

        
        
        
          
        

        <li class="nav-item">
          <a class="nav-link" href="/#posts" data-target="#posts">
            
            <span>Posts</span>
            
          </a>
        </li>

        
        

        

        
        
        
          
        

        <li class="nav-item">
          <a class="nav-link" href="/#projects" data-target="#projects">
            
            <span>Projects</span>
            
          </a>
        </li>

        
        

        

        
        
        
          
        

        <li class="nav-item">
          <a class="nav-link" href="/#contact" data-target="#contact">
            
            <span>Contact</span>
            
          </a>
        </li>

        
        

      

        

        
      </ul>

    </div>
  </div>
</nav>



<span id="homepage" style="display: none"></span>


  





  
  
  
    






  


<section id="hero" class="hero-overlay" style="


background-image:
linear-gradient(rgba(0, 0, 0, 1), rgba(0, 0, 0, 1)), 
url('img/headers/bubbles-wide.jpg')

;">

  <div class="container">

    <h1 class="hero-title" itemprop="headline">
      Sometimes Jeremy Thinks
    </h1>

    
    <p class="hero-lead">&hellip; and some have found that to be useful.</p>
    

    

  </div>

</section>

  

  
  
  
  <section id="about" class="home-section">
    <div class="container">
      



<div class="row" itemprop="author" itemscope itemtype="http://schema.org/Person" itemref="person-email person-address">
  <div class="col-12 col-lg-4">
    <div id="profile">

      
      <img class="portrait" src="/img/portrait.jpg" itemprop="image" alt="Avatar">
      

      <div class="portrait-title">
        <h2 itemprop="name">Jeremy Jackson</h2>
        <h3 itemprop="jobTitle">Software Engineering and Data Science</h3>

        
        

        
      </div>

      <link itemprop="url" href="https://ackso.net/">

      <ul class="network-icon" aria-hidden="true">
        
        
        
        
        
        
        
        
        <li>
          <a itemprop="sameAs" href="mailto:jeremy_j@ackso.net" >
            <i class="fa fa-envelope big-icon"></i>
          </a>
        </li>
        
        
        
        
          
        
        
        
        
        
          
        
        <li>
          <a itemprop="sameAs" href="//twitter.com/jeremy_j_ackso" >
            <i class="fab fa-twitter big-icon"></i>
          </a>
        </li>
        
        
        
        
          
        
        
        
        
        
          
        
        <li>
          <a itemprop="sameAs" href="//github.com/jeremy-j-ackso" >
            <i class="fab fa-github big-icon"></i>
          </a>
        </li>
        
        
        
        
          
        
        
        
        
        
          
        
        <li>
          <a itemprop="sameAs" href="//gitlab.com/jeremy.jackson" >
            <i class="fab fa-gitlab big-icon"></i>
          </a>
        </li>
        
        
        
        
          
        
        
        
        
        
          
        
        <li>
          <a itemprop="sameAs" href="//linkedin.com/in/jeremy-jackson-249878153" >
            <i class="fab fa-linkedin big-icon"></i>
          </a>
        </li>
        
      </ul>

    </div>
  </div>
  <div class="col-12 col-lg-8" itemprop="description">

    

<h1 id="biography">Biography</h1>

<p>Hi, I&rsquo;m Jeremy.
I really like writing code and trying to figure out things that are definitely
beyond my skill level.
I&rsquo;m pretty sure that&rsquo;s the best way that I learn because you may not know at the
outset what you need to know in order to accomplish your goal, but you&rsquo;re pretty
likely to learn it on the way.</p>

<p>For fun I like being outdoors, figuring out how to forage for food, playing
rpg&rsquo;s like Dungeons &amp; Dragons and Savage Worlds, and playing terminal-mode
dungeon crawlers.</p>


    <div class="row">

      
      <div class="col-md-5">
        <h3>Interests</h3>
        <ul class="ul-interests">
          
          <li>Working on ambitious projects for my skill level</li>
          
          <li>Figuring out Data Science</li>
          
          <li>Writing code to connect data and analytical systems</li>
          
        </ul>
      </div>
      

      
      <div class="col-md-7">
        <h3>Education</h3>
        <ul class="ul-edu fa-ul">
          
          <li>
            <i class="fa-li fas fa-graduation-cap"></i>
            <div class="description">
              <p class="course">BA in Economics, 2012</p>
              <p class="institution">University of Denver</p>
            </div>
          </li>
          
        </ul>
      </div>
      

    </div>
  </div>
</div>

    </div>
  </section>
  

  
  
  
  <section id="posts" class="home-section">
    <div class="container">
      




<div class="row">
  <div class="col-12 col-lg-4 section-heading">

    <h1>Recent Posts</h1>
    
    
    <p class="view-all">
      <a href="/post/">
        More Posts
        <i class="fas fa-angle-double-right"></i>
      </a>
    </p>
    

  </div>
  <div class="col-12 col-lg-8">

    

    
      

      
      

        

        
        

        
        
          
      
          
      
          
      
          
      
          
      
          
      

      
      
        
          

<div class="media stream-item" itemscope itemprop="blogPost" itemtype="http://schema.org/BlogPosting">
  <div class="media-body">

    <h3 class="article-title mb-0 mt-0" itemprop="headline">
      <a href="/post/xmpp-with-nodejs/" itemprop="url">XMPP With Node.js</a>
    </h3>

    
    
      
    
    
    <div class="article-style" itemprop="articleBody">
      Creating a simple experimentation XMPP client.
    </div>
    

    <div class="stream-meta">
    

<div class="article-metadata">

  
  
  <span itemscope itemprop="author" itemtype="http://schema.org/Person">
    <meta itemprop="name" content="Jeremy Jackson">
  </span>
  

  <span class="article-date">
    
    <meta content="2018-07-08 00:21:20 -0600 MDT" itemprop="datePublished">
    <time datetime="2018-07-08 00:21:20 -0600 MDT" itemprop="dateModified">
      2018-07-08
    </time>
  </span>
  <span itemscope itemprop="publisher" itemtype="http://schema.org/Person">
    <meta itemprop="name" content="Jeremy Jackson">
  </span>

  
  <span class="middot-divider"></span>
  <span class="article-reading-time">
    6 min read
  </span>
  

  
  
  <span class="middot-divider"></span>
  <a href="/post/xmpp-with-nodejs/#disqus_thread"></a>
  

  

  

</div>

    </div>

  </div>
  <div class="ml-3">
    
    
  </div>
</div>

        
      

      

        

        
        

        
        
          
      
          
      
          
      
          
      
          
      

      
      
        
          

<div class="media stream-item" itemscope itemprop="blogPost" itemtype="http://schema.org/BlogPosting">
  <div class="media-body">

    <h3 class="article-title mb-0 mt-0" itemprop="headline">
      <a href="/post/first-steps-with-apache-kafka/" itemprop="url">First Steps With Apache Kafka</a>
    </h3>

    
    
      
    
    
    <div class="article-style" itemprop="articleBody">
      Apache Kafka is a skill I need to progress. Here are my first steps in setting it up.
    </div>
    

    <div class="stream-meta">
    

<div class="article-metadata">

  
  
  <span itemscope itemprop="author" itemtype="http://schema.org/Person">
    <meta itemprop="name" content="Jeremy Jackson">
  </span>
  

  <span class="article-date">
    
    <meta content="2018-04-07 16:35:17 -0600 MDT" itemprop="datePublished">
    <time datetime="2018-04-07 16:35:17 -0600 MDT" itemprop="dateModified">
      2018-04-07
    </time>
  </span>
  <span itemscope itemprop="publisher" itemtype="http://schema.org/Person">
    <meta itemprop="name" content="Jeremy Jackson">
  </span>

  
  <span class="middot-divider"></span>
  <span class="article-reading-time">
    4 min read
  </span>
  

  
  
  <span class="middot-divider"></span>
  <a href="/post/first-steps-with-apache-kafka/#disqus_thread"></a>
  

  

  

</div>

    </div>

  </div>
  <div class="ml-3">
    
    
  </div>
</div>

        
      

      

        

        
        

        
        
          
      
          
      
          
      
          
      
          
      

      
      
        
          

<div class="media stream-item" itemscope itemprop="blogPost" itemtype="http://schema.org/BlogPosting">
  <div class="media-body">

    <h3 class="article-title mb-0 mt-0" itemprop="headline">
      <a href="/post/experimenting-with-gitlab-ci/" itemprop="url">Experimenting With GitLab CI</a>
    </h3>

    
    
      
    
    
    <div class="article-style" itemprop="articleBody">
      Setting up a NodeJS project to work with GitLab CI and docker-compose.
    </div>
    

    <div class="stream-meta">
    

<div class="article-metadata">

  
  
  <span itemscope itemprop="author" itemtype="http://schema.org/Person">
    <meta itemprop="name" content="Jeremy Jackson">
  </span>
  

  <span class="article-date">
    
    <meta content="2018-04-03 20:57:42 -0600 MDT" itemprop="datePublished">
    <time datetime="2018-04-03 20:57:42 -0600 MDT" itemprop="dateModified">
      2018-04-03
    </time>
  </span>
  <span itemscope itemprop="publisher" itemtype="http://schema.org/Person">
    <meta itemprop="name" content="Jeremy Jackson">
  </span>

  
  <span class="middot-divider"></span>
  <span class="article-reading-time">
    8 min read
  </span>
  

  
  
  <span class="middot-divider"></span>
  <a href="/post/experimenting-with-gitlab-ci/#disqus_thread"></a>
  

  

  

</div>

    </div>

  </div>
  <div class="ml-3">
    
    
  </div>
</div>

        
      

      

        

        
        

        
        
          
      
          
      
          
      
          
      

      
      
        
          

<div class="media stream-item" itemscope itemprop="blogPost" itemtype="http://schema.org/BlogPosting">
  <div class="media-body">

    <h3 class="article-title mb-0 mt-0" itemprop="headline">
      <a href="/post/why-i-use-vagrant-so-much/" itemprop="url">Why I Use Vagrant So Much</a>
    </h3>

    
    
      
    
    
    <div class="article-style" itemprop="articleBody">
      Vagrant can help you create consistency in how you build and deploy software. Here are some basics.
    </div>
    

    <div class="stream-meta">
    

<div class="article-metadata">

  
  
  <span itemscope itemprop="author" itemtype="http://schema.org/Person">
    <meta itemprop="name" content="Jeremy Jackson">
  </span>
  

  <span class="article-date">
    
    <meta content="2017-12-17 17:03:13 -0700 MST" itemprop="datePublished">
    <time datetime="2017-12-17 17:03:13 -0700 MST" itemprop="dateModified">
      2017-12-17
    </time>
  </span>
  <span itemscope itemprop="publisher" itemtype="http://schema.org/Person">
    <meta itemprop="name" content="Jeremy Jackson">
  </span>

  
  <span class="middot-divider"></span>
  <span class="article-reading-time">
    8 min read
  </span>
  

  
  
  <span class="middot-divider"></span>
  <a href="/post/why-i-use-vagrant-so-much/#disqus_thread"></a>
  

  

  

</div>

    </div>

  </div>
  <div class="ml-3">
    
    
  </div>
</div>

        
      

      

        

        
        

        
        
          
      
          
      

      
      
        
          

<div class="media stream-item" itemscope itemprop="blogPost" itemtype="http://schema.org/BlogPosting">
  <div class="media-body">

    <h3 class="article-title mb-0 mt-0" itemprop="headline">
      <a href="/post/my-terminal-configs/" itemprop="url">My Terminal Configs</a>
    </h3>

    
    
      
    
    
    <div class="article-style" itemprop="articleBody">
      Here&rsquo;s some information about my system config files.
    </div>
    

    <div class="stream-meta">
    

<div class="article-metadata">

  
  
  <span itemscope itemprop="author" itemtype="http://schema.org/Person">
    <meta itemprop="name" content="Jeremy Jackson">
  </span>
  

  <span class="article-date">
    
    <meta content="2017-12-17 14:15:50 -0700 MST" itemprop="datePublished">
    <time datetime="2017-12-17 14:15:50 -0700 MST" itemprop="dateModified">
      2017-12-17
    </time>
  </span>
  <span itemscope itemprop="publisher" itemtype="http://schema.org/Person">
    <meta itemprop="name" content="Jeremy Jackson">
  </span>

  
  <span class="middot-divider"></span>
  <span class="article-reading-time">
    5 min read
  </span>
  

  
  
  <span class="middot-divider"></span>
  <a href="/post/my-terminal-configs/#disqus_thread"></a>
  

  

  

</div>

    </div>

  </div>
  <div class="ml-3">
    
    
  </div>
</div>

        
      

      
    

  </div>
</div>

    </div>
  </section>
  

  
  
  
  <section id="projects" class="home-section">
    <div class="container">
      







<div class="row">
  <div class="col-xs-12 col-md-4 section-heading">

    <h1>Projects</h1>
    

  </div>
  <div class="col-xs-12 col-md-8">



    

    

    <div class="row isotope projects-container js-layout-masonry ">
      
        
        
        
        
          








<div class="col-12 col-md-6 col-lg-4 project-item isotope-item js-id-programming-exercises js-id-nodejs">
  <div class="card">
    
    <div class="card-text">
      <h4><a href="/project/exercises-for-programmers-5/" >Exercises for Programmers 5 - NODEJS</a></h4>
      <div class="card-desription">
        <p>Working throught exercise 10 of chapter 3 in NodeJS.</p>
      </div>
    </div>
  </div>
</div>

        
      
        
        
        
        
          








<div class="col-12 col-md-6 col-lg-4 project-item isotope-item js-id-refactor js-id-nodejs js-id-javascript">
  <div class="card">
    
    <div class="card-text">
      <h4><a href="/project/refactoring-mock-couch/" >Refactoring Mock Couch</a></h4>
      <div class="card-desription">
        <p>I&rsquo;m working on refactoring the mock-couch package. Here&rsquo;s how it&rsquo;s going.</p>
      </div>
    </div>
  </div>
</div>

        
      
        
        
        
        
          








<div class="col-12 col-md-6 col-lg-4 project-item isotope-item js-id-programming-exercises js-id-nodejs">
  <div class="card">
    
    <div class="card-text">
      <h4><a href="/project/exercises-for-programmers-4/" >Exercises for Programmers 4 - NODEJS</a></h4>
      <div class="card-desription">
        <p>Working throught exercise 10 of chapter 3 in NodeJS.</p>
      </div>
    </div>
  </div>
</div>

        
      
        
        
        
        
          








<div class="col-12 col-md-6 col-lg-4 project-item isotope-item js-id-programming-exercises js-id-nodejs">
  <div class="card">
    
    <div class="card-text">
      <h4><a href="/project/exercises-for-programmers-3/" >Exercises for Programmers 3 - NODEJS</a></h4>
      <div class="card-desription">
        <p>Working throught part of chapter 3 in NodeJS.</p>
      </div>
    </div>
  </div>
</div>

        
      
        
        
        
        
          








<div class="col-12 col-md-6 col-lg-4 project-item isotope-item js-id-programming-exercises js-id-nodejs">
  <div class="card">
    
    <div class="card-text">
      <h4><a href="/project/exercises-for-programmers-2/" >Exercises for Programmers 2 - NODEJS</a></h4>
      <div class="card-desription">
        <p>Just doing some programming exercises in NodeJS.</p>
      </div>
    </div>
  </div>
</div>

        
      
        
        
        
        
          








<div class="col-12 col-md-6 col-lg-4 project-item isotope-item js-id-programming-exercises js-id-nodejs">
  <div class="card">
    
    <div class="card-text">
      <h4><a href="/project/exercises-for-programmers-1/" >Exercises for Programmers 1 - NodeJS</a></h4>
      <div class="card-desription">
        <p>Just doing some programming exercises in NodeJS.</p>
      </div>
    </div>
  </div>
</div>

        
      
    </div>

  </div>
</div>

    </div>
  </section>
  

  
  
  
  <section id="tags" class="home-section">
    <div class="container">
      


<div class="row">
  <div class="col-12 col-lg-4 section-heading">
    <h1>Tags</h1>
    
  </div>
  <div class="col-12 col-lg-8">
    

    
      
      

      
      
      
      
      

      <div id="tag-cloud">
        
          
          
          
          <a href="/tags/excel-is-terrible/" style="font-size:0.8rem">Excel is terrible</a>
        
          
          
          
          <a href="/tags/r/" style="font-size:0.8rem">R</a>
        
          
          
          
          <a href="/tags/apache/" style="font-size:0.8rem">apache</a>
        
          
          
          
          <a href="/tags/bad-data/" style="font-size:0.8rem">bad data</a>
        
          
          
          
          <a href="/tags/configs/" style="font-size:0.8rem">configs</a>
        
          
          
          
          <a href="/tags/continuous-integration/" style="font-size:0.8rem">continuous integration</a>
        
          
          
          
          <a href="/tags/data/" style="font-size:0.8rem">data</a>
        
          
          
          
          <a href="/tags/data-engineering/" style="font-size:0.8rem">data engineering</a>
        
          
          
          
          <a href="/tags/docker/" style="font-size:0.8rem">docker</a>
        
          
          
          
          <a href="/tags/docker-compose/" style="font-size:0.8rem">docker-compose</a>
        
          
          
          
          <a href="/tags/environment/" style="font-size:0.8rem">environment</a>
        
          
          
          
          <a href="/tags/git/" style="font-size:0.8rem">git</a>
        
          
          
          
          <a href="/tags/gitlab/" style="font-size:0.8rem">gitlab</a>
        
          
          
          
          <a href="/tags/jabber/" style="font-size:0.8rem">jabber</a>
        
          
          
          
          <a href="/tags/javascript/" style="font-size:1.3666666666666667rem">javascript</a>
        
          
          
          
          <a href="/tags/kafka/" style="font-size:0.8rem">kafka</a>
        
          
          
          
          <a href="/tags/node/" style="font-size:0.8rem">node</a>
        
          
          
          
          <a href="/tags/nodejs/" style="font-size:2.3908344558326426rem">nodejs</a>
        
          
          
          
          <a href="/tags/programming-exercises/" style="font-size:2.1157592537695056rem">programming exercises</a>
        
          
          
          
          <a href="/tags/refactor/" style="font-size:0.8rem">refactor</a>
        
          
          
          
          <a href="/tags/reproducibility/" style="font-size:0.8rem">reproducibility</a>
        
          
          
          
          <a href="/tags/simulation/" style="font-size:0.8rem">simulation</a>
        
          
          
          
          <a href="/tags/vagrant/" style="font-size:1.6981454170753219rem">vagrant</a>
        
          
          
          
          <a href="/tags/virtualization/" style="font-size:0.8rem">virtualization</a>
        
          
          
          
          <a href="/tags/xmpp/" style="font-size:0.8rem">xmpp</a>
        
      </div>
    

  </div>
</div>

    </div>
  </section>
  

  
  
  
  <section id="contact" class="home-section">
    <div class="container">
      




<div class="row contact-widget">
  <div class="col-12 col-lg-4 section-heading">
    <h1>Contact</h1>
    
  </div>
  <div class="col-12 col-lg-8">
    

    

    <ul class="fa-ul" itemscope>

      
      <li>
        <i class="fa-li fas fa-envelope fa-2x" aria-hidden="true"></i>
        <span id="person-email" itemprop="email"><a href="mailto:jeremy_j@ackso.net">jeremy_j@ackso.net</a></span>
      </li>
      

      

      

      

      

      

      
      <li>
        <i class="fa-li fas fa-map-marker fa-2x" aria-hidden="true"></i>
        <span id="person-address" itemprop="address"><a href=https://goo.gl/maps/LUUSc44VPmm>Beautiful Longmont, Colorado</a></span>
      </li>
      

      

    </ul>

    

  </div>
</div>

    </div>
  </section>
  



<div class="container">
  <footer class="site-footer">
  

  <p class="powered-by">
    &copy; 2017 Jeremy T Jackson &middot; 

    Powered by the
    <a href="https://sourcethemes.com/academic/" target="_blank" rel="noopener">Academic theme</a> for
    <a href="https://gohugo.io" target="_blank" rel="noopener">Hugo</a>.

    
    <span class="float-right" aria-hidden="true">
      <a href="#" id="back_to_top">
        <span class="button_icon">
          <i class="fas fa-chevron-up fa-2x"></i>
        </span>
      </a>
    </span>
    
  </p>
</footer>

</div>


<div id="modal" class="modal fade" role="dialog">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">Cite</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <pre><code class="tex hljs"></code></pre>
      </div>
      <div class="modal-footer">
        <a class="btn btn-outline-primary my-1 js-copy-cite" href="#" target="_blank">
          <i class="fas fa-copy"></i> Copy
        </a>
        <a class="btn btn-outline-primary my-1 js-download-cite" href="#" target="_blank">
          <i class="fas fa-download"></i> Download
        </a>
        <div id="modal-error"></div>
      </div>
    </div>
  </div>
</div>

    

    
    
    
    
    <script src="/js/mathjax-config.500a6cbb2c0f345fcecc21b3116d6637aa78f1f11db8081ea581abe05390c2e8f3bbffe61be3cf0217baf785c40efceabe51050a4f007e69af94efd3643260e8.js" integrity="sha512-UApsuywPNF/OzCGzEW1mN6p48fEduAgepYGr4FOQwujzu//mG&#43;PPAhe694XEDvzqvlEFCk8AfmmvlO/TZDJg6A=="></script>
    

    
    
    
      <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js" integrity="sha512-+NqPlbbtM1QqiK8ZAo4Yrj2c4lNQoGv8P79DPtKzj++l5jnN39rHA/xsqn8zE9l0uSoxaCdrOgFs6yjyfbBxSg==" crossorigin="anonymous"></script>
      <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.imagesloaded/4.1.3/imagesloaded.pkgd.min.js" integrity="sha512-umsR78NN0D23AzgoZ11K7raBD+R6hqKojyBZs1w8WvYlsI+QuKRGBx3LFCwhatzBunCjDuJpDHwxD13sLMbpRA==" crossorigin="anonymous"></script>
      <script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha256-VsEqElsCHSGmnmHXGQzvoWjWwoznFSZc6hs7ARLRacQ=" crossorigin="anonymous"></script>
      <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.isotope/3.0.4/isotope.pkgd.min.js" integrity="sha512-VDBOIlDbuC4VWxGJNmuFRQ0Li0SKkDpmGyuhAG5LTDLd/dJ/S0WMVxriR2Y+CyPL5gzjpN4f/6iqWVBJlht0tQ==" crossorigin="anonymous"></script>
      <script src="https://cdnjs.cloudflare.com/ajax/libs/fancybox/3.2.5/jquery.fancybox.min.js" integrity="sha256-X5PoE3KU5l+JcX+w09p/wHl9AzK333C4hJ2I9S5mD4M=" crossorigin="anonymous"></script>

      
        
        <script src="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/9.12.0/highlight.min.js" integrity="sha256-/BfiIkHlHoVihZdc6TFuj7MmJ0TWcWsMXkeDFwhi0zw=" crossorigin="anonymous"></script>
        
        <script src="//cdnjs.cloudflare.com/ajax/libs/highlight.js/9.12.0/languages/python.min.js"></script>
        
        <script src="//cdnjs.cloudflare.com/ajax/libs/highlight.js/9.12.0/languages/r.min.js"></script>
        
        <script src="//cdnjs.cloudflare.com/ajax/libs/highlight.js/9.12.0/languages/bash.min.js"></script>
        
        <script src="//cdnjs.cloudflare.com/ajax/libs/highlight.js/9.12.0/languages/css.min.js"></script>
        
        <script src="//cdnjs.cloudflare.com/ajax/libs/highlight.js/9.12.0/languages/diff.min.js"></script>
        
        <script src="//cdnjs.cloudflare.com/ajax/libs/highlight.js/9.12.0/languages/javascript.min.js"></script>
        
        <script src="//cdnjs.cloudflare.com/ajax/libs/highlight.js/9.12.0/languages/json.min.js"></script>
        
        <script src="//cdnjs.cloudflare.com/ajax/libs/highlight.js/9.12.0/languages/markdown.min.js"></script>
        
        <script src="//cdnjs.cloudflare.com/ajax/libs/highlight.js/9.12.0/languages/nginx.min.js"></script>
        
        <script src="//cdnjs.cloudflare.com/ajax/libs/highlight.js/9.12.0/languages/processing.min.js"></script>
        
        <script src="//cdnjs.cloudflare.com/ajax/libs/highlight.js/9.12.0/languages/scala.min.js"></script>
        
        <script src="//cdnjs.cloudflare.com/ajax/libs/highlight.js/9.12.0/languages/sql.min.js"></script>
        
        <script src="//cdnjs.cloudflare.com/ajax/libs/highlight.js/9.12.0/languages/tex.min.js"></script>
        
        <script src="//cdnjs.cloudflare.com/ajax/libs/highlight.js/9.12.0/languages/vim.min.js"></script>
        
        <script src="//cdnjs.cloudflare.com/ajax/libs/highlight.js/9.12.0/languages/yaml.min.js"></script>
        
      

      
      
      <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.4/MathJax.js?config=TeX-AMS_CHTML-full" integrity="sha256-GhM+5JHb6QUzOQPXSJLEWP7R73CbkisjzK5Eyij4U9w=" crossorigin="anonymous" async></script>
      
    

    <script src="/js/hugo-academic.js"></script>
    

    
    

    
    
    
    <script id="dsq-count-scr" src="//ackso-net.disqus.com.disqus.com/count.js" async></script>
    

    
    
    <script>hljs.initHighlightingOnLoad();</script>
    

    
    
    <script>
      const search_index_filename = "/index.json";
      const i18n = {
        'placeholder': "Search...",
        'results': "Search Results",
        'no_results': "No results found"
      };
      const content_type = {
        'post': "Posts",
        'project': "Projects",
        'publication' : "Publications",
        'talk' : "Talks"
        };
    </script>
    

    
    

    

    
    

    
    

  </body>
</html>


